#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=organos1.66_base.ps
projection=-JM16.0c+
region=-R-102.1/-100.9/17.2/18.4
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map organos1.66' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/e10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    17.994  -101.503
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    17.915  -101.661
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    17.487  -101.474
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    17.513  -101.164
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    17.737  -101.356
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    17.810  -101.437
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    17.438  -101.399
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    17.931  -101.354
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    17.940  -101.515
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    17.390  -101.161
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    17.335  -101.311
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    17.861  -101.797
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    17.551  -101.503
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    17.381  -101.065
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    17.650  -101.029
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    17.317  -101.226
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    17.869  -101.555
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    17.444  -101.541
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    17.513  -101.503
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    17.293  -101.340
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    17.517  -101.343
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    17.491  -101.331
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    17.643  -101.165
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    17.619  -101.223
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    18.143  -101.950
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    17.504  -101.239
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    18.078  -101.782
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    17.414  -101.532
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    18.053  -101.779
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    17.839  -101.115
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    17.981  -101.612
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    18.335  -101.616
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    17.607  -101.208
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    17.646  -101.228
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    17.792  -101.392
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.995  -101.503
    17.994  -101.503
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.907  -101.575
    17.994  -101.503
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.915  -101.662
    17.915  -101.661
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.851  -101.777
    17.915  -101.661
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.484  -101.475
    17.487  -101.474
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.527  -101.422
    17.487  -101.474
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.518  -101.167
    17.513  -101.164
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.522  -101.192
    17.513  -101.164
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.738  -101.356
    17.737  -101.356
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.607  -101.452
    17.737  -101.356
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.810  -101.440
    17.810  -101.437
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.765  -101.535
    17.810  -101.437
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.435  -101.397
    17.438  -101.399
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.594  -101.358
    17.438  -101.399
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.925  -101.358
    17.931  -101.354
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.863  -101.090
    17.931  -101.354
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.939  -101.515
    17.940  -101.515
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.894  -101.512
    17.940  -101.515
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.385  -101.164
    17.390  -101.161
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.352  -101.063
    17.390  -101.161
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.335  -101.312
    17.335  -101.311
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.220  -101.364
    17.335  -101.311
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.862  -101.797
    17.861  -101.797
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.851  -101.796
    17.861  -101.797
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.548  -101.505
    17.551  -101.503
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.377  -101.605
    17.551  -101.503
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.378  -101.067
    17.381  -101.065
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.270  -101.130
    17.381  -101.065
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.656  -101.031
    17.650  -101.029
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.527  -101.100
    17.650  -101.029
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.315  -101.226
    17.317  -101.226
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.284  -101.266
    17.317  -101.226
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.868  -101.554
    17.869  -101.555
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.826  -101.542
    17.869  -101.555
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.445  -101.540
    17.444  -101.541
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.433  -101.494
    17.444  -101.541
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.515  -101.501
    17.513  -101.503
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.461  -101.479
    17.513  -101.503
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.293  -101.338
    17.293  -101.340
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.246  -101.323
    17.293  -101.340
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.517  -101.342
    17.517  -101.343
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.553  -101.232
    17.517  -101.343
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.490  -101.332
    17.491  -101.331
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.636  -101.237
    17.491  -101.331
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.641  -101.165
    17.643  -101.165
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.534  -101.204
    17.643  -101.165
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.619  -101.223
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.510  -101.282
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.142  -101.951
    18.143  -101.950
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.959  -101.992
    18.143  -101.950
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.503  -101.239
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.371  -101.298
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.078  -101.782
    18.078  -101.782
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.954  -101.829
    18.078  -101.782
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.414  -101.532
    17.414  -101.532
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.879  -101.113
    17.414  -101.532
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.053  -101.779
    18.053  -101.779
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.052  -101.774
    18.053  -101.779
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.841  -101.114
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.758  -101.146
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.981  -101.612
    17.981  -101.612
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.878  -101.687
    17.981  -101.612
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    18.336  -101.618
    18.335  -101.616
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    18.319  -101.700
    18.335  -101.616
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.604  -101.208
    17.607  -101.208
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.608  -101.223
    17.607  -101.208
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.645  -101.229
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.588  -101.304
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.791  -101.392
    17.792  -101.392
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.752  -101.498
    17.792  -101.392
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    17.994  -101.503   -33.993     2.302     3.671
    17.915  -101.661   -75.966     2.657     3.516
    17.487  -101.474   -79.086     2.117     2.970
    17.513  -101.164   -69.129     1.529     2.955
    17.737  -101.356    76.879     2.303     3.002
    17.810  -101.437    30.305     2.945     4.044
    17.438  -101.399   -79.228     1.427     1.925
    17.931  -101.354   -58.247     2.081     3.064
    17.940  -101.515   -63.528     0.165     2.780
    17.390  -101.161   -59.749     1.093     2.217
    17.335  -101.311   -69.522     1.820     3.662
    17.861  -101.797   -50.820     1.414     2.397
    17.551  -101.503    88.012     2.124     3.172
    17.381  -101.065   -62.216     1.141     2.173
    17.650  -101.029    75.952     1.139     2.890
    17.317  -101.226   -79.018     1.952     4.169
    17.869  -101.555   -74.829     1.200     2.152
    17.444  -101.541   -87.393     1.529     2.906
    17.513  -101.503   -80.327     1.542     2.813
    17.293  -101.340   -53.128     1.470     2.292
    17.517  -101.343   -81.125     1.309     2.560
    17.491  -101.331   -49.806     1.593     3.823
    17.643  -101.165   -79.372     1.319     2.010
    17.619  -101.223    88.957     1.260     1.972
    18.143  -101.950   -56.111     1.762     2.363
    17.504  -101.239   -76.617     1.012     1.822
    18.078  -101.782   -47.283     1.333     2.574
    17.414  -101.532   -84.954     1.218     2.282
    18.053  -101.779   -54.681     1.094     1.711
    17.839  -101.115    72.444     1.918     3.075
    17.981  -101.612   -66.480     0.968     1.653
    18.335  -101.616    37.681     1.818     3.315
    17.607  -101.208   -85.292     1.611     2.508
    17.646  -101.228    84.941     1.034     1.493
    17.792  -101.392   -74.436     1.133     1.570
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    17.246  -101.994   -21.124     2.540     4.473
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    17.246  -101.972   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    17.246  -101.994     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    17.246  -101.994     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    17.202  -101.994   5 km
END
