#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=organos1.66_dcal.ps
projection=-JM16.0c+
region=-R-103.9/-99.0/15.4/20.2
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration organos1.66' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/e10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.994  -101.503
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.994  -101.503
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.915  -101.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.915  -101.661
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.487  -101.474
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.513  -101.164
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.513  -101.164
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.737  -101.356
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.737  -101.356
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.810  -101.437
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.810  -101.437
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.438  -101.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.438  -101.399
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.931  -101.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.940  -101.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.940  -101.515
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.390  -101.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.390  -101.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.390  -101.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.390  -101.161
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.335  -101.311
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.335  -101.311
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.335  -101.311
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.335  -101.311
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.861  -101.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.861  -101.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.551  -101.503
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.381  -101.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.381  -101.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.381  -101.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.650  -101.029
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.650  -101.029
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.650  -101.029
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.650  -101.029
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.317  -101.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.317  -101.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.317  -101.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.444  -101.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.513  -101.503
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.293  -101.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.293  -101.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.293  -101.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.293  -101.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.293  -101.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.293  -101.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.517  -101.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.517  -101.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.517  -101.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.517  -101.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.517  -101.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.517  -101.343
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.491  -101.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.491  -101.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.491  -101.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.491  -101.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.491  -101.331
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.643  -101.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.643  -101.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.643  -101.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.643  -101.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.619  -101.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    18.143  -101.950
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    18.143  -101.950
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.504  -101.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    18.078  -101.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    18.078  -101.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    18.078  -101.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    18.078  -101.782
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.414  -101.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.414  -101.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.414  -101.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.414  -101.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.414  -101.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    18.053  -101.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    18.053  -101.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    18.053  -101.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    18.053  -101.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.839  -101.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.981  -101.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.981  -101.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.981  -101.612
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    18.335  -101.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    18.335  -101.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    18.335  -101.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.607  -101.208
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.607  -101.208
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.607  -101.208
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.607  -101.208
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.970  -101.815
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048  -100.267
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.646  -101.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.792  -101.392
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.607  -101.465
    17.792  -101.392
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.792  -101.392
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.213  -100.432
    17.792  -101.392
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.792  -101.392
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.281  -100.347
    17.792  -101.392
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    17.607  -101.465     0.300
    17.048  -100.267     0.300
    17.970  -101.815     0.300
    18.281  -100.347     0.300
    17.213  -100.432     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.994  -101.503     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.915  -101.661     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.487  -101.474     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.513  -101.164     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.737  -101.356     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.810  -101.437     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.438  -101.399     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.931  -101.354     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.940  -101.515     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.390  -101.161     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.335  -101.311     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.861  -101.797     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.551  -101.503     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.381  -101.065     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.650  -101.029     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.317  -101.226     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.869  -101.555     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.444  -101.541     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.513  -101.503     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.293  -101.340     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.517  -101.343     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.491  -101.331     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.643  -101.165     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.619  -101.223     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.143  -101.950     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.504  -101.239     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.078  -101.782     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.414  -101.532     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.053  -101.779     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.839  -101.115     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.981  -101.612     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.335  -101.616     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.607  -101.208     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.646  -101.228     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.792  -101.392     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    17.687  -101.412     0.000   222.000   222.000
    17.687  -101.412     0.000   444.000   444.000
END
